## org.eclipse.emf.ecoretools.diagram.navigator
Class EcoreDomainNavigatorItem

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.emf.ecoretools.diagram.navigator.EcoreDomainNavigatorItem

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable

    public class EcoreDomainNavigatorItem

extends org.eclipse.core.runtime.PlatformObject

Constructor Summary
`EcoreDomainNavigatorItem(org.eclipse.emf.ecore.EObject eObject, java.lang.Object parent, org.eclipse.ui.views.properties.IPropertySourceProvider propertySourceProvider)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`org.eclipse.emf.ecore.EObject` `getEObject()`
`java.lang.Object` `getParent()`
`org.eclipse.ui.views.properties.IPropertySourceProvider` `getPropertySourceProvider()`
`int` `hashCode()`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreDomainNavigatorItem

    public EcoreDomainNavigatorItem(org.eclipse.emf.ecore.EObject eObject,
                                    java.lang.Object parent,
                                    org.eclipse.ui.views.properties.IPropertySourceProvider propertySourceProvider)

Method Detail

### getParent

    public java.lang.Object getParent()

### getEObject

    public org.eclipse.emf.ecore.EObject getEObject()

### getPropertySourceProvider

    public org.eclipse.ui.views.properties.IPropertySourceProvider getPropertySourceProvider()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright 2007 Anyware Technologies. All Rights Reserved.